Page MenuHomePhabricator

[OMPT] Add tool_available_search testcase
ClosedPublic

Authored by sconvent on Jan 17 2018, 4:51 AM.

Details

Summary

Tests the search for tools as defined in the spec. The OMP_TOOL_LIBRARIES environment variable contains paths to the following files(in that order)

-to a nonexisting file
-to a shared library that does not have a ompt_start_tool function
-to a shared library that has an ompt_start_tool implementation returning NULL
-to a shared library that has an ompt_start_tool implementation returning a pointer to a valid instance of ompt_start_tool_result_t

Diff Detail

Repository
rL LLVM

Event Timeline

hbae accepted this revision.Feb 6 2018, 11:23 AM

LGTM.

This revision is now accepted and ready to land.Feb 6 2018, 11:23 AM
Closed by commit rL324588: [OMPT] Add tool_available_search testcase (authored by jprotze, committed by ). · Explain WhyFeb 8 2018, 2:08 AM
This revision was automatically updated to reflect the committed changes.